import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _createSuper from "@babel/runtime/helpers/esm/createSuper";

/**
 *  公共页面标题
 *  2021/08/26
*/
import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { Divider, Row, Col } from 'antd';

var PageTitle = /*#__PURE__*/function (_Component) {
  _inherits(PageTitle, _Component);

  var _super = _createSuper(PageTitle);

  function PageTitle() {
    _classCallCheck(this, PageTitle);

    return _super.apply(this, arguments);
  }

  _createClass(PageTitle, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          title = _this$props.title,
          subTitle = _this$props.subTitle,
          titleClass = _this$props.titleClass,
          center = _this$props.center,
          right = _this$props.right;
      return /*#__PURE__*/React.createElement("div", {
        className: "page-title-container"
      }, /*#__PURE__*/React.createElement(Row, {
        className: titleClass ? "".concat(titleClass, " title") : 'title'
      }, /*#__PURE__*/React.createElement(Col, {
        span: center ? 8 : 12
      }, /*#__PURE__*/React.createElement("div", {
        className: "page-title"
      }, title), /*#__PURE__*/React.createElement("div", {
        className: "page-sub-title"
      }, subTitle)), center ? /*#__PURE__*/React.createElement(Col, {
        span: 8,
        className: "page-title-center"
      }, /*#__PURE__*/React.createElement("div", null, title)) : null, right ? /*#__PURE__*/React.createElement(Col, {
        span: center ? 8 : 12,
        className: "page-title-right"
      }, right) : null), /*#__PURE__*/React.createElement(Divider, null));
    }
  }]);

  return PageTitle;
}(Component);

PageTitle.propTypes = {
  title: PropTypes.any,
  subTitle: PropTypes.any,
  titleClass: PropTypes.string,
  center: PropTypes.any,
  right: PropTypes.any
};
export default PageTitle;